Skip to main content
POST
/
v1
/
source-snapshots
/
{source_snapshot_id}
/
finalize
curl -X POST https://api.dari.dev/v1/source-snapshots/src_456/finalize \
  -H "Authorization: Bearer $DARI_API_KEY"
{
  "source_snapshot_id": "src_456",
  "status": "ready",
  "failure_reason": null
}
Finalizes a previously reserved source snapshot after the archive has been uploaded to the returned upload_url. During finalize, Dari verifies that the object exists, matches the reserved size, and matches the reserved checksum.

Path Parameters

source_snapshot_id
string
required
Source snapshot ID returned by Reserve Source Snapshot Upload.

Headers

Authorization
string
required
Bearer token using your Dari API key.

Response Fields

source_snapshot_id
string
Source snapshot ID.
status
string
Finalized snapshot status such as ready or failed.
failure_reason
string
Failure detail when finalize could not verify the uploaded archive.
curl -X POST https://api.dari.dev/v1/source-snapshots/src_456/finalize \
  -H "Authorization: Bearer $DARI_API_KEY"
{
  "source_snapshot_id": "src_456",
  "status": "ready",
  "failure_reason": null
}